<doxygenindex xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="index.xsd">
  <compound kind="struct" refid="structcy__wcm__ap__config__t"><name>cy_wcm_ap_config_t</name>
    <member kind="variable" refid="structcy__wcm__ap__config__t_1a41b9a70a96b5567416a37661a84b3e7c"><name>ap_credentials</name></member>
    <member kind="variable" refid="structcy__wcm__ap__config__t_1a43adeebc56159fdac2d1e0a19334fb6f"><name>channel</name></member>
    <member kind="variable" refid="structcy__wcm__ap__config__t_1a4d26be457ca32e36d8162c3eb347491b"><name>ip_settings</name></member>
    <member kind="variable" refid="structcy__wcm__ap__config__t_1a882c472c4e6c64d0b55fe61350d8043a"><name>ie_info</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__ap__credentials__t"><name>cy_wcm_ap_credentials_t</name>
    <member kind="variable" refid="structcy__wcm__ap__credentials__t_1aefb4693ca1fa808349032561a2e4b3bc"><name>SSID</name></member>
    <member kind="variable" refid="structcy__wcm__ap__credentials__t_1ad9ba797a8bc9bcb7708eb9b4560e3095"><name>password</name></member>
    <member kind="variable" refid="structcy__wcm__ap__credentials__t_1a576fbc5a934d7efe6c98e265678c38d9"><name>security</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__associated__ap__info__t"><name>cy_wcm_associated_ap_info_t</name>
    <member kind="variable" refid="structcy__wcm__associated__ap__info__t_1a06331c62076e5bffb4bb152e10392c08"><name>SSID</name></member>
    <member kind="variable" refid="structcy__wcm__associated__ap__info__t_1ae6bea8ffe1b1fd74f0715601806b93cf"><name>BSSID</name></member>
    <member kind="variable" refid="structcy__wcm__associated__ap__info__t_1a4b47f1136ce398758b642a9497df4ac2"><name>security</name></member>
    <member kind="variable" refid="structcy__wcm__associated__ap__info__t_1a7c1cb78975c5725a09dd892fea008c83"><name>channel_width</name></member>
    <member kind="variable" refid="structcy__wcm__associated__ap__info__t_1a5509aacd600eed0acaa2233884326ba9"><name>signal_strength</name></member>
    <member kind="variable" refid="structcy__wcm__associated__ap__info__t_1ae9076adfc8363be7e62a43c3f21b8220"><name>channel</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__config__t"><name>cy_wcm_config_t</name>
    <member kind="variable" refid="structcy__wcm__config__t_1ab516902a377cf7b51d1965183c0bfc2f"><name>interface</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__connect__params__t"><name>cy_wcm_connect_params_t</name>
    <member kind="variable" refid="structcy__wcm__connect__params__t_1add927d1d5bbaf348296daad9a6312023"><name>ap_credentials</name></member>
    <member kind="variable" refid="structcy__wcm__connect__params__t_1adad67449ed4ae911735ed75cde6599c1"><name>BSSID</name></member>
    <member kind="variable" refid="structcy__wcm__connect__params__t_1ad6f7b23985a4e0e6dc35113498a3fc87"><name>static_ip_settings</name></member>
    <member kind="variable" refid="structcy__wcm__connect__params__t_1a04a926b9d8c7c53108b172d5b1e3321a"><name>band</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__custom__ie__info__t"><name>cy_wcm_custom_ie_info_t</name>
    <member kind="variable" refid="structcy__wcm__custom__ie__info__t_1a84e872b95d62994768cbb72a17c07692"><name>oui</name></member>
    <member kind="variable" refid="structcy__wcm__custom__ie__info__t_1ad5be5ea213d5b9219aafe3770c85a9a0"><name>subtype</name></member>
    <member kind="variable" refid="structcy__wcm__custom__ie__info__t_1afd53c84c770bcba488cc1ff7567f8135"><name>data</name></member>
    <member kind="variable" refid="structcy__wcm__custom__ie__info__t_1aabade00f0187717a90f7837ad2d164e8"><name>length</name></member>
    <member kind="variable" refid="structcy__wcm__custom__ie__info__t_1a95c37d239bc173d922186c37a55cfd2e"><name>ie_packet_mask</name></member>
  </compound>
  <compound kind="union" refid="unioncy__wcm__event__data__t"><name>cy_wcm_event_data_t</name>
    <member kind="variable" refid="unioncy__wcm__event__data__t_1a9c8f9a98e351394d704d1796328ae466"><name>ip_addr</name></member>
    <member kind="variable" refid="unioncy__wcm__event__data__t_1aa2f4d769a35b7859bf0649d29b5f46a4"><name>sta_mac</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__ip__address__t"><name>cy_wcm_ip_address_t</name>
    <member kind="variable" refid="structcy__wcm__ip__address__t_1a7c275791b147e4ccd77ad178dd25bf81"><name>version</name></member>
    <member kind="variable" refid="structcy__wcm__ip__address__t_1acabea09ec2785e76f7d867a74dd6afd7"><name>v4</name></member>
    <member kind="variable" refid="structcy__wcm__ip__address__t_1a969244fd2e8b1da5fc07b75c4811e33c"><name>v6</name></member>
    <member kind="variable" refid="structcy__wcm__ip__address__t_1ac5cf849d1ad2018fa370b60e13b0024c"><name>ip</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__ip__setting__t"><name>cy_wcm_ip_setting_t</name>
    <member kind="variable" refid="structcy__wcm__ip__setting__t_1aab6aea9cfd72daa55d92f86046e594dd"><name>ip_address</name></member>
    <member kind="variable" refid="structcy__wcm__ip__setting__t_1a2e28eec7ae6e6301101991039b5b3bd0"><name>gateway</name></member>
    <member kind="variable" refid="structcy__wcm__ip__setting__t_1a56bf0370a561c858da2008255d0f12bc"><name>netmask</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__scan__filter__t"><name>cy_wcm_scan_filter_t</name>
    <member kind="variable" refid="structcy__wcm__scan__filter__t_1a019063e2d7ac38f8123fa6181afc45b8"><name>mode</name></member>
    <member kind="variable" refid="structcy__wcm__scan__filter__t_1ad8d3cb78527ac618f0a3994ac497cc35"><name>SSID</name></member>
    <member kind="variable" refid="structcy__wcm__scan__filter__t_1a1b255c34f41d99c7bccc28b3c52292e7"><name>BSSID</name></member>
    <member kind="variable" refid="structcy__wcm__scan__filter__t_1a8be7ad3afc2fe2feecfcfdb8859ae30a"><name>band</name></member>
    <member kind="variable" refid="structcy__wcm__scan__filter__t_1a315bd8b9820c4f234ba0f3c430a0d15a"><name>rssi_range</name></member>
    <member kind="variable" refid="structcy__wcm__scan__filter__t_1a5c9dfdbc17237085973999b63d9b28e5"><name>param</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__scan__result__t"><name>cy_wcm_scan_result_t</name>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1adcf0e592c5ea946e9ce821b6a13262d4"><name>SSID</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a8985626fa07655a2357595559f3277b6"><name>BSSID</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1ac2d508f92bd91a322db54d59f9c42ce5"><name>signal_strength</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a09a4c2859527cfea62d076df9b40a96c"><name>max_data_rate</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a37c995f6433dee323cf4cebb397fb8cb"><name>bss_type</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a0bdbcaaaab6950223ad759eb1315daf2"><name>security</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a2c07eb8659b1c9e79cd41b141ab7a52d"><name>channel</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a75409b94cf73b2f2c9ebae9627b2906c"><name>band</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1af87e8de624d34d2e9a40fe9405b2e424"><name>ccode</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a8b9a5f7d60757bc46d752d889151fb4b"><name>flags</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a0847a4850054f7ded3f158fffde1e18d"><name>ie_ptr</name></member>
    <member kind="variable" refid="structcy__wcm__scan__result__t_1a181082a69f94eeb3bbf71a00ee2a7e01"><name>ie_len</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__wlan__statistics__t"><name>cy_wcm_wlan_statistics_t</name>
    <member kind="variable" refid="structcy__wcm__wlan__statistics__t_1a5d2bbf3841011afecbcb5d92d8a65815"><name>rx_bytes</name></member>
    <member kind="variable" refid="structcy__wcm__wlan__statistics__t_1a98e6c33c50f4666a908f9d712f5c0a53"><name>tx_bytes</name></member>
    <member kind="variable" refid="structcy__wcm__wlan__statistics__t_1a91084eaf5e8cf3d57521af0b518f7e34"><name>rx_packets</name></member>
    <member kind="variable" refid="structcy__wcm__wlan__statistics__t_1a3a8559869256dac2d7ad1011133eebd8"><name>tx_packets</name></member>
    <member kind="variable" refid="structcy__wcm__wlan__statistics__t_1ace1911e7d5a9d48df6cc163f623dcbef"><name>tx_retries</name></member>
    <member kind="variable" refid="structcy__wcm__wlan__statistics__t_1aefb719dce691a8f7e4742be439c19424"><name>tx_failed</name></member>
    <member kind="variable" refid="structcy__wcm__wlan__statistics__t_1acf071fd3115d3483a5fd5a1520e9868d"><name>tx_bitrate</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__wps__config__t"><name>cy_wcm_wps_config_t</name>
    <member kind="variable" refid="structcy__wcm__wps__config__t_1ad45eecaffb10e893f240bf42c05c453b"><name>mode</name></member>
    <member kind="variable" refid="structcy__wcm__wps__config__t_1ac9878359549a01538c7a9bcda83abde7"><name>password</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__wps__credential__t"><name>cy_wcm_wps_credential_t</name>
    <member kind="variable" refid="structcy__wcm__wps__credential__t_1a3073e0f51c0149524f08f060725e9214"><name>ssid</name></member>
    <member kind="variable" refid="structcy__wcm__wps__credential__t_1a8274f6ea76c0d1df464038bf3a95a1c7"><name>security</name></member>
    <member kind="variable" refid="structcy__wcm__wps__credential__t_1a050204a4875f55a337aae327c9d09e7e"><name>passphrase</name></member>
  </compound>
  <compound kind="struct" refid="structcy__wcm__wps__device__detail__t"><name>cy_wcm_wps_device_detail_t</name>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1a136ed85f58cfafad6889c7ec823b356d"><name>device_category</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1af43f688705d04172066af5360eee88d4"><name>sub_category</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1af691ce3681ce5c0307f43576271b61b8"><name>device_name</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1a477aacd3890528626d251dc9db937797"><name>manufacturer</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1a0791f5628fc63178f229a3d67ca0f72d"><name>model_name</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1a5d3234a079bc0087f8cc748fe5ab5623"><name>model_number</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1ade4161a5a556489884d0b395ed13e4e3"><name>serial_number</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1a5a29866c3a82eb3886f0a1f8e407b917"><name>config_methods</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1adc186bd3ce86c248f3a39c4b3c92afd3"><name>os_version</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1a83d4c6f1311be7588f493f5a74d42509"><name>authentication_type_flags</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1ad8a1e655823255864f23cc7c0be8cc6c"><name>encryption_type_flags</name></member>
    <member kind="variable" refid="structcy__wcm__wps__device__detail__t_1a37abaab8f556c8671adfa3614acc2162"><name>add_config_methods_to_probe_resp</name></member>
  </compound>
  <compound kind="file" refid="cy__wcm_8h"><name>cy_wcm.h</name>
    <member kind="define" refid="cy__wcm_8h_1abbed4079ef51c5468ec15dd5347e44af"><name>CYPRESS_WEAK</name></member>
    <member kind="define" refid="cy__wcm_8h_1a8d9413cf4a74182226c75711ac1abbf5"><name>CYPRESS_PACKED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gad757aff6414a2ebb12dcdea491df9627"><name>CY_WCM_MAX_SSID_LEN</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga57d06f15bb823cd45d9542c1303f647a"><name>CY_WCM_MAX_PASSPHRASE_LEN</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gae032a02d61d8a9d68a502ac20591a1d5"><name>CY_WCM_MAC_ADDR_LEN</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga25c78c2899233a91a6e52821fecdd3bf"><name>CY_WCM_MAX_IE_LENGTH</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga4199a1b37dba92f482ff0b9eb406c323"><name>WEP_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga20f0d7118c2d35a688bcdc5b8b0920d9"><name>TKIP_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga577a9dbc615ba145496a41a2035bd615"><name>AES_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga4d4a4586c264fe8e4acb0bf7169b7b0f"><name>SHARED_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gaa7ccd472bacbd8ee01f31f0f0e2ce3dc"><name>WPA_SECURITY</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga8875737a0403d2136a69bbc96401cccf"><name>WPA2_SECURITY</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gad175824d1581f69f5a725e4c9171aa79"><name>WPA3_SECURITY</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gada6d6331053c0f88c63d77ba8d2019c8"><name>ENTERPRISE_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gaaae7e8a0eb357cae8f130f9099d8e7b8"><name>WPS_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga9640c064932a3a633a3312b737658f83"><name>IBSS_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gaafdddf85f4d0df08ee3aead815ad7c76"><name>FBT_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga2fd33d6cf6472c7452a22e5988e69516"><name>CY_WCM_WPS_PIN_LENGTH</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gac7494a533045203834447aab9e85b4da"><name>CY_WCM_MAXIMUM_CALLBACKS_COUNT</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga24d3def17207a3c64b62fb4b8a44a7fc"><name>cy_wcm_ip_version_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga24d3def17207a3c64b62fb4b8a44a7fca579126d4304962b6ee0f286e5afcbe8a"><name>CY_WCM_IP_VER_V4</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga24d3def17207a3c64b62fb4b8a44a7fcaa76a9ec3e0ee840982c8094f4416f768"><name>CY_WCM_IP_VER_V6</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga04051d082e24439e436a17db75fadfef"><name>cy_wcm_ipv6_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga04051d082e24439e436a17db75fadfefa635adc564bdb3dbdd71685cef4f470ac"><name>CY_WCM_IPV6_LINK_LOCAL</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga04051d082e24439e436a17db75fadfefad69d3245c4ef7635271c9faf924d12a7"><name>CY_WCM_IPV6_GLOBAL</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521"><name>cy_wcm_security_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a7f7f987e28882d8c60f7f4429561b9a5"><name>CY_WCM_SECURITY_OPEN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3f1681e739292b57e029cf9423c37110"><name>CY_WCM_SECURITY_WEP_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a8f9f6f3775c9735d869f60b3507434fb"><name>CY_WCM_SECURITY_WEP_SHARED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ae3433e5dd60a88c95eb5c5d057ed67ed"><name>CY_WCM_SECURITY_WPA_TKIP_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a8abfafcfce522370ec60f90e60c289ca"><name>CY_WCM_SECURITY_WPA_AES_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521adaed424cb449a2621e13a8360f9b2831"><name>CY_WCM_SECURITY_WPA_MIXED_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a772f5ab0cd577a4d8f9426be3123cefe"><name>CY_WCM_SECURITY_WPA2_AES_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3b4bbec176138de64c97b85f3063f0eb"><name>CY_WCM_SECURITY_WPA2_TKIP_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a076d68a0103ce4d2571bb00521ba8251"><name>CY_WCM_SECURITY_WPA2_MIXED_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a25100570908755c4f3fcf216a625b3e8"><name>CY_WCM_SECURITY_WPA2_FBT_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3210b048d7f28c4d34fe84ed38423697"><name>CY_WCM_SECURITY_WPA3_SAE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a65f30fece93828b8e7aec9e746e3f6bd"><name>CY_WCM_SECURITY_WPA2_WPA_AES_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a1c6bff375775f060152c36a310dbecd7"><name>CY_WCM_SECURITY_WPA2_WPA_MIXED_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521abfdbdb9ee491f60d5beb3e34e504ef21"><name>CY_WCM_SECURITY_WPA3_WPA2_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ad90cc325f41cb213cb4521203d25d71d"><name>CY_WCM_SECURITY_WPA_TKIP_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a15e40dcc622cfbbc30189d58cc2d0d8d"><name>CY_WCM_SECURITY_WPA_AES_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521af859066c7f2a78b3f7e30cc397b9ffc4"><name>CY_WCM_SECURITY_WPA_MIXED_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a6d42e04b696db4b267c4ef2ed6e23865"><name>CY_WCM_SECURITY_WPA2_TKIP_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a59cd3a2dce43903162ce84a651152e7a"><name>CY_WCM_SECURITY_WPA2_AES_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a83be3851b45fae13129c65ecdc1967e4"><name>CY_WCM_SECURITY_WPA2_MIXED_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ab1b403f2f40134c180e60867b2a46786"><name>CY_WCM_SECURITY_WPA2_FBT_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3b9dc0504be49e6d0babf7b7cfeea81c"><name>CY_WCM_SECURITY_IBSS_OPEN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a66814cdf2e650a7ac52e2173926a531d"><name>CY_WCM_SECURITY_WPS_SECURE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a397fce386b66d0cef2c2be39611278fd"><name>CY_WCM_SECURITY_UNKNOWN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a9f076fd0959cc261e2a6c9d1858df50e"><name>CY_WCM_SECURITY_FORCE_32_BIT</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga31f9cb5bc75abf02e5eb2623a64b3b7b"><name>cy_wcm_wifi_band_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba227ae88196c397f2b9a1e1417b875000"><name>CY_WCM_WIFI_BAND_ANY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba88b974b076bb9ac9b603559a6475ed08"><name>CY_WCM_WIFI_BAND_5GHZ</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba55fad89632303e01a336f8f6115352b0"><name>CY_WCM_WIFI_BAND_2_4GHZ</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gab7d89e9afaed2e4e8064cf9ac4e86148"><name>cy_wcm_scan_rssi_range_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a6aa785dcb716397e519200696021ae76"><name>CY_WCM_SCAN_RSSI_FAIR</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a19c2e5055249f11a0b0e57fe7edf0929"><name>CY_WCM_SCAN_RSSI_GOOD</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a5ee1d399cdfbb54a50ec951d151267dc"><name>CY_WCM_SCAN_RSSI_EXCELLENT</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gac4c4ca6db8db6efdc3013b789a4c9cf8"><name>cy_wcm_interface_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8ae93c4aa9ce482c333a23bdc535df3208"><name>CY_WCM_INTERFACE_TYPE_STA</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8a0a2745fb6696e54ad284f17dbad8755f"><name>CY_WCM_INTERFACE_TYPE_AP</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8a864e150cea33f5d4cae3e6834bf56f2e"><name>CY_WCM_INTERFACE_TYPE_AP_STA</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga24a4ed65a9261c45abc8aa697eb2b8a2"><name>cy_wcm_scan_status_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga24a4ed65a9261c45abc8aa697eb2b8a2a01103577816da05a7b2b9521576c3c6e"><name>CY_WCM_SCAN_INCOMPLETE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga24a4ed65a9261c45abc8aa697eb2b8a2aff52685fb45be610434226882c46e57f"><name>CY_WCM_SCAN_COMPLETE</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga522893594393679bacaaaa77d81b26f8"><name>cy_wcm_wps_mode_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga522893594393679bacaaaa77d81b26f8a31835b09070e6bd6c1728168e549c09c"><name>CY_WCM_WPS_PBC_MODE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga522893594393679bacaaaa77d81b26f8a95b8f9041290279c8c309fa985241565"><name>CY_WCM_WPS_PIN_MODE</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gafef6a7e734e688418bfa6c601edf2cf1"><name>cy_wcm_wps_configuration_method_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ac033e07b1fee308901aaf712a63f3ef3"><name>CY_WCM_WPS_CONFIG_USBA</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a178adfc35cb21c8b00481465e00ff673"><name>CY_WCM_WPS_CONFIG_ETHERNET</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ace529442cbd31b83e4ac5a4b3ed33e0a"><name>CY_WCM_WPS_CONFIG_LABEL</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a5a93a9612c63e22c00596cd458d93deb"><name>CY_WCM_WPS_CONFIG_DISPLAY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1afee256e4896c9371c1144ba32d2e3ee4"><name>CY_WCM_WPS_CONFIG_EXTERNAL_NFC_TOKEN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1acd1aeb0e87abb700d3f860699ff2c3e6"><name>CY_WCM_WPS_CONFIG_INTEGRATED_NFC_TOKEN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aaffc2fb3ba7a5e9965bd9473914a35f6"><name>CY_WCM_WPS_CONFIG_NFC_INTERFACE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ae808716be131db6383977dfe6becb5a2"><name>CY_WCM_WPS_CONFIG_PUSH_BUTTON</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a6a4a331d72d7fa6500b91bd45bf58189"><name>CY_WCM_WPS_CONFIG_KEYPAD</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aaa30b78f42df81269f3c1b4e2cb8b563"><name>CY_WCM_WPS_CONFIG_VIRTUAL_PUSH_BUTTON</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a0660c24da1d785f47a8415f6a150b3db"><name>CY_WCM_WPS_CONFIG_PHYSICAL_PUSH_BUTTON</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aadb10bf953fe76e72cbf4dcddfbc38df"><name>CY_WCM_WPS_CONFIG_VIRTUAL_DISPLAY_PIN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a922f0a9f83a32f4790a961c79f6a5b8e"><name>CY_WCM_WPS_CONFIG_PHYSICAL_DISPLAY_PIN</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gab50f2a67cec69a058057fc5fc6c5cea1"><name>cy_wcm_wps_authentication_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a9936e971dccb38e7cf02448690e11359"><name>CY_WCM_WPS_OPEN_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a97ad9d0d773ae0615f119a19c92b902e"><name>CY_WCM_WPS_WPA_PSK_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a60cc0dbbcd735c1a88d49be684effd1a"><name>CY_WCM_WPS_SHARED_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a5cd9b05c6b61fcfb13804cde27c9cb2c"><name>CY_WCM_WPS_WPA_ENTERPRISE_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1aaa9cd22d44f2edd4553c5088abda1e3d"><name>CY_WCM_WPS_WPA2_ENTERPRISE_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a56f28a09b4389cd4b9a16e8d443c962a"><name>CY_WCM_WPS_WPA2_PSK_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a89ef5b1e77a439a54f7fae94a2b0dd87"><name>CY_WCM_WPS_WPA2_WPA_PSK_MIXED_AUTHENTICATION</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga7ef358e8ada90c5a7d7a170d9c87f06f"><name>cy_wcm_wps_encryption_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa5134ff27eb3a3bd45244ba2522103cc7"><name>CY_WCM_WPS_MIXED_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa03e109443caa4e7956944d22e3a00c36"><name>CY_WCM_WPS_AES_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa8a6bf58d9350921fec4e196d35803a7d"><name>CY_WCM_WPS_TKIP_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa6ea4ef151cfaf8afe8104eb7b62be6e2"><name>CY_WCM_WPS_WEP_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fadecaa9e74027491e62c637b65f7f6cbd"><name>CY_WCM_WPS_NO_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fadd86ef63ac41850941a2e9205ce34716"><name>CY_WCM_WPS_NO_UNDEFINED</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga2109f4415e7d9d586336f8c4415a270e"><name>cy_wcm_wps_device_category_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea38c2c17db9981b8d58c56a03d9eea174"><name>CY_WCM_WPS_DEVICE_COMPUTER</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea46a825fa9f6eb9fa51964b50cfcb6a42"><name>CY_WCM_WPS_DEVICE_INPUT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eaf4b0a8f306ca1f7d2662f96f06c4c3c9"><name>CY_WCM_WPS_DEVICE_PRINT_SCAN_FAX_COPY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea067b2a06849d654e88defa1494e6eb01"><name>CY_WCM_WPS_DEVICE_CAMERA</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea07530c7c34101eb7b6dc77d463ea3d69"><name>CY_WCM_WPS_DEVICE_STORAGE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eaaa26e5cc0ab60ced6a1396cefc5ba4d1"><name>CY_WCM_WPS_DEVICE_NETWORK_INFRASTRUCTURE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea340b6b8d4a0a3e381fddd7f5ba346b7d"><name>CY_WCM_WPS_DEVICE_DISPLAY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eab9d78b03149d0f80ebb7f41c0ad46215"><name>CY_WCM_WPS_DEVICE_MULTIMEDIA</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea327ae67b0ae9851529d0047dd35ec51d"><name>CY_WCM_WPS_DEVICE_GAMING</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea1a103d818b304ea94c8a2c33fa2e944b"><name>CY_WCM_WPS_DEVICE_TELEPHONE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea7ac4cb079ec54e29b94279c79af6ee4c"><name>CY_WCM_WPS_DEVICE_AUDIO</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eacc1248fb45b939bd560c7cb080b227cf"><name>CY_WCM_WPS_DEVICE_DOCK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea724e8110b6b40e0722f13a2fc66fd96f"><name>CY_WCM_WPS_DEVICE_OTHER</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gafada6a09a78bd0473f3daef54621567f"><name>cy_wcm_event_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa683d1014dce666536998f4d185975852"><name>CY_WCM_EVENT_CONNECTING</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa3cb25ea52d7dfe04a55193c5289d501f"><name>CY_WCM_EVENT_CONNECTED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fafa85fe7467f303e5425b54a8f20072e5"><name>CY_WCM_EVENT_CONNECT_FAILED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fab2e59655829c24bd5d0ea68622c8c56e"><name>CY_WCM_EVENT_RECONNECTED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa206d74c35be5bf29e7903367287efc79"><name>CY_WCM_EVENT_DISCONNECTED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fafe83442aa63aa747c3025d0874482c86"><name>CY_WCM_EVENT_IP_CHANGED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa89bf3f175e03aabb5951138e229392c9"><name>CY_WCM_EVENT_STA_JOINED_SOFTAP</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa54168b9c07156a695d1de5db77f03bcb"><name>CY_WCM_EVENT_STA_LEFT_SOFTAP</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga568b22d5d446e751f62efe4eb021d451"><name>cy_wcm_scan_filter_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451ae6a7c2fd74a727b9d1f3e0261533a7c4"><name>CY_WCM_SCAN_FILTER_TYPE_SSID</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a74ecd7911d895bb5893242f33cd797a5"><name>CY_WCM_SCAN_FILTER_TYPE_MAC</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a4cc5a373687840727d482e4a07f3e472"><name>CY_WCM_SCAN_FILTER_TYPE_BAND</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a778dca52775ee5658e7ae9012a61586d"><name>CY_WCM_SCAN_FILTER_TYPE_RSSI</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga5da487a7ada216490a5f6787d617f10d"><name>cy_wcm_bss_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da60013087d45b48933b758c1aaa952fd3"><name>CY_WCM_BSS_TYPE_INFRASTRUCTURE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da03a3baee9becad296eba5dd31b6c140b"><name>CY_WCM_BSS_TYPE_ADHOC</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da10ddd970dd3995ab9cbc5d225f72aac5"><name>CY_WCM_BSS_TYPE_ANY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da882ea81676503bb3af561c60200ae0db"><name>CY_WCM_BSS_TYPE_MESH</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da4d5f95cccb4ae209eb84c70254193ba3"><name>CY_WCM_BSS_TYPE_UNKNOWN</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gac880508299364d38baeb869c761bc695"><name>cy_wcm_ie_mask_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695ae1e47cd521bf0c95da2d457936985f36"><name>CY_WCM_IE_MASK_BEACON</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a829e8241b21908745012b903f8f6e521"><name>CY_WCM_IE_MASK_PROBE_RESPONSE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695af20f5063141ee8041342aa430a393025"><name>CY_WCM_IE_MASK_ASSOC_RESPONSE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a91f0304a9e0260ff0deabc1884190a9c"><name>CY_WCM_IE_MASK_AUTH_RESPONSE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a41547feec293e037c4ee8b7caf7c9e45"><name>CY_WCM_IE_MASK_PROBE_REQUEST</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695ab592236c8a899e0c8326e030cda107fa"><name>CY_WCM_IE_MASK_ASSOC_REQUEST</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a5a9943659b2c2a8c85a609e767af7f86"><name>CY_WCM_IE_MASK_CUSTOM</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga1ebac1800928741a07555a14539f3748"><name>cy_wcm_ssid_t</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga510db2323122294f3956024396ba2ff5"><name>cy_wcm_mac_t</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga0c9f42f203c1dee3e3344163d1fdeba8"><name>cy_wcm_passphrase_t</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga58bd6c567dc6b0b111fb5852227c0c88"><name>cy_wcm_scan_result_callback_t</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga5f028848682f04705e669b6823d290fb"><name>cy_wcm_event_callback_t</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga888428a2325f131528f7447e894002eb"><name>cy_wcm_init</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga5699a6a4d8f914d86022f3f973916316"><name>cy_wcm_deinit</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gae0f0b5f3e6138bfdae943e9f7b16aa07"><name>cy_wcm_start_scan</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6c18f6560c581912393e297b1560d3c7"><name>cy_wcm_stop_scan</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga9e8e04210ba0fc7429473d28d4643c7c"><name>cy_wcm_connect_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gaabda4c932e13e0c8f29486d393a18c5b"><name>cy_wcm_disconnect_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga684ba6f1f1814d29775abaca9a029cd2"><name>cy_wcm_get_ip_addr</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6f90e612b2e00a03d13b575a3f759df9"><name>cy_wcm_get_ipv6_addr</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gae5957d81ae8e2cd3b0ee5bac550f03f2"><name>cy_wcm_get_gateway_ip_address</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6eb8142086b4b77fef434a0f9a9dfb4c"><name>cy_wcm_get_ip_netmask</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6e89cb4c8a8ddae25c4078fb64efb61f"><name>cy_wcm_get_mac_addr</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga97e7212b4d3392a310682ff02f0d8d51"><name>cy_wcm_wps_enrollee</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga0369189fc2845efdf57cd3ce9b0d188e"><name>cy_wcm_wps_generate_pin</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga02f205b4d522c99d6c0b48f15683b0b6"><name>cy_wcm_register_event_callback</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga957a1964b1a2bf191266ee3e60549b9e"><name>cy_wcm_deregister_event_callback</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga98c3513c75507fcddb7650b7d20b6f3a"><name>cy_wcm_is_connected_to_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gad91ebcdcf8452d23b68cf3b225b4ea33"><name>cy_wcm_get_associated_ap_info</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6bf5f2a11f6b9a91d1be40cf79ab7e8c"><name>cy_wcm_get_wlan_statistics</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga70f40907d2f1668b8fa356f8095fc172"><name>cy_wcm_get_gateway_mac_address</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gaa42251a4b728f775786d1781afbc32a2"><name>cy_wcm_ping</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga4b6c66ca0e28ef817bdab02c56d180e6"><name>cy_wcm_start_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gaaf300adeaed2e9251dc85d6c85be9d72"><name>cy_wcm_stop_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gac2570e24e41dc550252205489f56cc0f"><name>cy_wcm_get_associated_client_list</name></member>
  </compound>
  <compound kind="file" refid="cy__wcm__error_8h"><name>cy_wcm_error.h</name>
    <member kind="define" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689"><name>CY_RSLT_WCM_ERR_BASE</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga6944ac1b7cf6a45da8cef5b7aaccee43"><name>CY_RSLT_WCM_WAIT_TIMEOUT</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga9ed4661440bde1d143da250f5e9aa1d2"><name>CY_RSLT_WCM_BAD_NETWORK_PARAM</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga199bdef33a6deeb6a65e4fb3cc4c74ed"><name>CY_RSLT_WCM_BAD_SSID_LEN</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga90e3f82642d5adcf75e63ec385c0b31a"><name>CY_RSLT_WCM_SECURITY_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga85c89ab97aab8ffc2d137823be53f98f"><name>CY_RSLT_WCM_BAD_PASSPHRASE_LEN</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga4e20cd3299afb41f9aa4c0160f86b49e"><name>CY_RSLT_WCM_BAD_ARG</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gad1ea482ae1422f00e10acceb12d35fd2"><name>CY_RSLT_WCM_INTERFACE_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga96569b88f43584ab0d8f13270e890ef1"><name>CY_RSLT_WCM_MUTEX_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga9f25bb09147c2b4baea03e7049144eea"><name>CY_RSLT_WCM_STA_DISCONNECT_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga6b5d340b62864115c40912b3c824618f"><name>CY_RSLT_WCM_STA_NETWORK_DOWN</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaa6740929b50bb588c5eac2ce24a3b8a3"><name>CY_RSLT_WCM_BSP_INIT_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gae47a63270adf2e7623fc7e094f439149"><name>CY_RSLT_WCM_BSP_DEINIT_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga75d572006f9f9e5537b6829f1a6e05d1"><name>CY_RSLT_WCM_NO_ACTIVE_SCAN</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gad7f901e31b274c3875d4fffe5ad67e2b"><name>CY_RSLT_WCM_SCAN_IN_PROGRESS</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga197800b45253fb46881ace6422f71cf2"><name>CY_RSLT_WCM_SCAN_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga0eb923b5580da458eed4a15793a1ffce"><name>CY_RSLT_WCM_STOP_SCAN_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga3ff0df04af64b8e9885c7965c0323dfd"><name>CY_RSLT_WCM_BAND_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaca7baad8249d644588355f5957dbeb23"><name>CY_RSLT_WCM_OUT_OF_MEMORY</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga3fbd0225b6475abc34f2631923abf7d6"><name>CY_RSLT_WCM_CHANNEL_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga152d8dbea82f3fc8ac3bcd9134ba7c2b"><name>CY_RSLT_WCM_NETIF_DOES_NOT_EXIST</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga4e8841bff7f6f44e4338a7a5f4957430"><name>CY_RSLT_WCM_ARP_REQUEST_FAILURE</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaf238a2679be63d6c347384309d0ecdec"><name>CY_RSLT_WCM_IPV6_GLOBAL_ADDRESS_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaec2dc6ae38fe8d511c6e9341a87460d4"><name>CY_RSLT_WCM_IPV6_INTERFACE_NOT_READY</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga25e7e3f701dc1fb8d7695f12b197e792"><name>CY_RSLT_WCM_PING_FAILURE</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaeda8de6854236b599d845071a9de13f6"><name>CY_RSLT_WCM_PING_REQUEST_TIMEOUT</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga43b6f1f06a3602b8d084ee2d95ad5a2e"><name>CY_RSLT_WCM_STATIC_IP_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gab5427f7db66759198ece7997fb98b1d6"><name>CY_RSLT_WCM_BAD_STATIC_IP</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gab6f3189215b7eb6877302a14445af584"><name>CY_RSLT_WCM_SECONDARY_INTERFACE_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga417bfc0044bee5d22d44b2241f49f4a7"><name>CY_RSLT_WCM_AP_NETWORK_BRINGUP_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gabcb1cf00097ec4ed82c84389fbc1d64c"><name>CY_RSLT_WCM_AP_BAD_CHANNEL</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga76c0f03b758e55b8e3c2b5e0a478fee6"><name>CY_RSLT_WCM_AP_IE_REMOVAL_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga3f4a70557a584ae9d9692930d7251606"><name>CY_RSLT_WCM_INVALID_IE</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaf320281f7c8bc5389e44731e76216b7d"><name>CY_RSLT_WCM_AP_NOT_UP</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga3fbe3d03f2b124ee6b1f893170318b65"><name>CY_RSLT_WCM_INTERFACE_NOT_UP</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga17574dc98d92fa8947200e5550cbfeb4"><name>CY_RSLT_WCM_NOT_INITIALIZED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gab647206b775cba6ee4b7b7b19c583f7b"><name>CY_RSLT_WCM_WPS_PBC_OVERLAP</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gac6347a8774ce04d4e63619b0f7bf64f1"><name>CY_RSLT_WCM_WPS_ERROR_RECEIVED_WEP_CREDENTIALS</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga46d6e7393784bb35e110d5fe42c004e9"><name>CY_RSLT_WCM_WPS_FAILED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaadcc9a3f04cb2e2846a8d77489476fa1"><name>CY_RSLT_WCM_DHCP_TIMEOUT</name></member>
  </compound>
  <compound kind="file" refid="cy__wcm__log_8h"><name>cy_wcm_log.h</name>
    <member kind="define" refid="cy__wcm__log_8h_1abd78a76b167fcfd1784654e120d04a84"><name>cy_wcm_log_msg</name></member>
    <member kind="define" refid="cy__wcm__log_8h_1a9eb9b2c265f57973b897d7314be1f99f"><name>cy_wps_assert</name></member>
  </compound>
  <compound kind="file" refid="doxyfile__main__page_8txt"><name>doxyfile_main_page.txt</name>
  </compound>
  <compound kind="group" refid="group__group__wcm__mscs"><name>group_wcm_mscs</name>
  </compound>
  <compound kind="group" refid="group__group__wcm__macros"><name>group_wcm_macros</name>
    <member kind="define" refid="group__group__wcm__macros_1gad757aff6414a2ebb12dcdea491df9627"><name>CY_WCM_MAX_SSID_LEN</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga57d06f15bb823cd45d9542c1303f647a"><name>CY_WCM_MAX_PASSPHRASE_LEN</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gae032a02d61d8a9d68a502ac20591a1d5"><name>CY_WCM_MAC_ADDR_LEN</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga25c78c2899233a91a6e52821fecdd3bf"><name>CY_WCM_MAX_IE_LENGTH</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga4199a1b37dba92f482ff0b9eb406c323"><name>WEP_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga20f0d7118c2d35a688bcdc5b8b0920d9"><name>TKIP_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga577a9dbc615ba145496a41a2035bd615"><name>AES_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga4d4a4586c264fe8e4acb0bf7169b7b0f"><name>SHARED_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gaa7ccd472bacbd8ee01f31f0f0e2ce3dc"><name>WPA_SECURITY</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga8875737a0403d2136a69bbc96401cccf"><name>WPA2_SECURITY</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gad175824d1581f69f5a725e4c9171aa79"><name>WPA3_SECURITY</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gada6d6331053c0f88c63d77ba8d2019c8"><name>ENTERPRISE_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gaaae7e8a0eb357cae8f130f9099d8e7b8"><name>WPS_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga9640c064932a3a633a3312b737658f83"><name>IBSS_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gaafdddf85f4d0df08ee3aead815ad7c76"><name>FBT_ENABLED</name></member>
    <member kind="define" refid="group__group__wcm__macros_1ga2fd33d6cf6472c7452a22e5988e69516"><name>CY_WCM_WPS_PIN_LENGTH</name></member>
    <member kind="define" refid="group__group__wcm__macros_1gac7494a533045203834447aab9e85b4da"><name>CY_WCM_MAXIMUM_CALLBACKS_COUNT</name></member>
  </compound>
  <compound kind="group" refid="group__group__wcm__enums"><name>group_wcm_enums</name>
    <member kind="enum" refid="group__group__wcm__enums_1ga24d3def17207a3c64b62fb4b8a44a7fc"><name>cy_wcm_ip_version_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga24d3def17207a3c64b62fb4b8a44a7fca579126d4304962b6ee0f286e5afcbe8a"><name>CY_WCM_IP_VER_V4</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga24d3def17207a3c64b62fb4b8a44a7fcaa76a9ec3e0ee840982c8094f4416f768"><name>CY_WCM_IP_VER_V6</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga04051d082e24439e436a17db75fadfef"><name>cy_wcm_ipv6_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga04051d082e24439e436a17db75fadfefa635adc564bdb3dbdd71685cef4f470ac"><name>CY_WCM_IPV6_LINK_LOCAL</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga04051d082e24439e436a17db75fadfefad69d3245c4ef7635271c9faf924d12a7"><name>CY_WCM_IPV6_GLOBAL</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga8b22f5a47073d5219440566d0e53e521"><name>cy_wcm_security_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a7f7f987e28882d8c60f7f4429561b9a5"><name>CY_WCM_SECURITY_OPEN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3f1681e739292b57e029cf9423c37110"><name>CY_WCM_SECURITY_WEP_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a8f9f6f3775c9735d869f60b3507434fb"><name>CY_WCM_SECURITY_WEP_SHARED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ae3433e5dd60a88c95eb5c5d057ed67ed"><name>CY_WCM_SECURITY_WPA_TKIP_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a8abfafcfce522370ec60f90e60c289ca"><name>CY_WCM_SECURITY_WPA_AES_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521adaed424cb449a2621e13a8360f9b2831"><name>CY_WCM_SECURITY_WPA_MIXED_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a772f5ab0cd577a4d8f9426be3123cefe"><name>CY_WCM_SECURITY_WPA2_AES_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3b4bbec176138de64c97b85f3063f0eb"><name>CY_WCM_SECURITY_WPA2_TKIP_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a076d68a0103ce4d2571bb00521ba8251"><name>CY_WCM_SECURITY_WPA2_MIXED_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a25100570908755c4f3fcf216a625b3e8"><name>CY_WCM_SECURITY_WPA2_FBT_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3210b048d7f28c4d34fe84ed38423697"><name>CY_WCM_SECURITY_WPA3_SAE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a65f30fece93828b8e7aec9e746e3f6bd"><name>CY_WCM_SECURITY_WPA2_WPA_AES_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a1c6bff375775f060152c36a310dbecd7"><name>CY_WCM_SECURITY_WPA2_WPA_MIXED_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521abfdbdb9ee491f60d5beb3e34e504ef21"><name>CY_WCM_SECURITY_WPA3_WPA2_PSK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ad90cc325f41cb213cb4521203d25d71d"><name>CY_WCM_SECURITY_WPA_TKIP_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a15e40dcc622cfbbc30189d58cc2d0d8d"><name>CY_WCM_SECURITY_WPA_AES_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521af859066c7f2a78b3f7e30cc397b9ffc4"><name>CY_WCM_SECURITY_WPA_MIXED_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a6d42e04b696db4b267c4ef2ed6e23865"><name>CY_WCM_SECURITY_WPA2_TKIP_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a59cd3a2dce43903162ce84a651152e7a"><name>CY_WCM_SECURITY_WPA2_AES_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a83be3851b45fae13129c65ecdc1967e4"><name>CY_WCM_SECURITY_WPA2_MIXED_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521ab1b403f2f40134c180e60867b2a46786"><name>CY_WCM_SECURITY_WPA2_FBT_ENT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a3b9dc0504be49e6d0babf7b7cfeea81c"><name>CY_WCM_SECURITY_IBSS_OPEN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a66814cdf2e650a7ac52e2173926a531d"><name>CY_WCM_SECURITY_WPS_SECURE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a397fce386b66d0cef2c2be39611278fd"><name>CY_WCM_SECURITY_UNKNOWN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga8b22f5a47073d5219440566d0e53e521a9f076fd0959cc261e2a6c9d1858df50e"><name>CY_WCM_SECURITY_FORCE_32_BIT</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga31f9cb5bc75abf02e5eb2623a64b3b7b"><name>cy_wcm_wifi_band_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba227ae88196c397f2b9a1e1417b875000"><name>CY_WCM_WIFI_BAND_ANY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba88b974b076bb9ac9b603559a6475ed08"><name>CY_WCM_WIFI_BAND_5GHZ</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga31f9cb5bc75abf02e5eb2623a64b3b7ba55fad89632303e01a336f8f6115352b0"><name>CY_WCM_WIFI_BAND_2_4GHZ</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gab7d89e9afaed2e4e8064cf9ac4e86148"><name>cy_wcm_scan_rssi_range_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a6aa785dcb716397e519200696021ae76"><name>CY_WCM_SCAN_RSSI_FAIR</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a19c2e5055249f11a0b0e57fe7edf0929"><name>CY_WCM_SCAN_RSSI_GOOD</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab7d89e9afaed2e4e8064cf9ac4e86148a5ee1d399cdfbb54a50ec951d151267dc"><name>CY_WCM_SCAN_RSSI_EXCELLENT</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gac4c4ca6db8db6efdc3013b789a4c9cf8"><name>cy_wcm_interface_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8ae93c4aa9ce482c333a23bdc535df3208"><name>CY_WCM_INTERFACE_TYPE_STA</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8a0a2745fb6696e54ad284f17dbad8755f"><name>CY_WCM_INTERFACE_TYPE_AP</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac4c4ca6db8db6efdc3013b789a4c9cf8a864e150cea33f5d4cae3e6834bf56f2e"><name>CY_WCM_INTERFACE_TYPE_AP_STA</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga24a4ed65a9261c45abc8aa697eb2b8a2"><name>cy_wcm_scan_status_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga24a4ed65a9261c45abc8aa697eb2b8a2a01103577816da05a7b2b9521576c3c6e"><name>CY_WCM_SCAN_INCOMPLETE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga24a4ed65a9261c45abc8aa697eb2b8a2aff52685fb45be610434226882c46e57f"><name>CY_WCM_SCAN_COMPLETE</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga522893594393679bacaaaa77d81b26f8"><name>cy_wcm_wps_mode_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga522893594393679bacaaaa77d81b26f8a31835b09070e6bd6c1728168e549c09c"><name>CY_WCM_WPS_PBC_MODE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga522893594393679bacaaaa77d81b26f8a95b8f9041290279c8c309fa985241565"><name>CY_WCM_WPS_PIN_MODE</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gafef6a7e734e688418bfa6c601edf2cf1"><name>cy_wcm_wps_configuration_method_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ac033e07b1fee308901aaf712a63f3ef3"><name>CY_WCM_WPS_CONFIG_USBA</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a178adfc35cb21c8b00481465e00ff673"><name>CY_WCM_WPS_CONFIG_ETHERNET</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ace529442cbd31b83e4ac5a4b3ed33e0a"><name>CY_WCM_WPS_CONFIG_LABEL</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a5a93a9612c63e22c00596cd458d93deb"><name>CY_WCM_WPS_CONFIG_DISPLAY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1afee256e4896c9371c1144ba32d2e3ee4"><name>CY_WCM_WPS_CONFIG_EXTERNAL_NFC_TOKEN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1acd1aeb0e87abb700d3f860699ff2c3e6"><name>CY_WCM_WPS_CONFIG_INTEGRATED_NFC_TOKEN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aaffc2fb3ba7a5e9965bd9473914a35f6"><name>CY_WCM_WPS_CONFIG_NFC_INTERFACE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1ae808716be131db6383977dfe6becb5a2"><name>CY_WCM_WPS_CONFIG_PUSH_BUTTON</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a6a4a331d72d7fa6500b91bd45bf58189"><name>CY_WCM_WPS_CONFIG_KEYPAD</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aaa30b78f42df81269f3c1b4e2cb8b563"><name>CY_WCM_WPS_CONFIG_VIRTUAL_PUSH_BUTTON</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a0660c24da1d785f47a8415f6a150b3db"><name>CY_WCM_WPS_CONFIG_PHYSICAL_PUSH_BUTTON</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1aadb10bf953fe76e72cbf4dcddfbc38df"><name>CY_WCM_WPS_CONFIG_VIRTUAL_DISPLAY_PIN</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafef6a7e734e688418bfa6c601edf2cf1a922f0a9f83a32f4790a961c79f6a5b8e"><name>CY_WCM_WPS_CONFIG_PHYSICAL_DISPLAY_PIN</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gab50f2a67cec69a058057fc5fc6c5cea1"><name>cy_wcm_wps_authentication_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a9936e971dccb38e7cf02448690e11359"><name>CY_WCM_WPS_OPEN_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a97ad9d0d773ae0615f119a19c92b902e"><name>CY_WCM_WPS_WPA_PSK_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a60cc0dbbcd735c1a88d49be684effd1a"><name>CY_WCM_WPS_SHARED_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a5cd9b05c6b61fcfb13804cde27c9cb2c"><name>CY_WCM_WPS_WPA_ENTERPRISE_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1aaa9cd22d44f2edd4553c5088abda1e3d"><name>CY_WCM_WPS_WPA2_ENTERPRISE_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a56f28a09b4389cd4b9a16e8d443c962a"><name>CY_WCM_WPS_WPA2_PSK_AUTHENTICATION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggab50f2a67cec69a058057fc5fc6c5cea1a89ef5b1e77a439a54f7fae94a2b0dd87"><name>CY_WCM_WPS_WPA2_WPA_PSK_MIXED_AUTHENTICATION</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga7ef358e8ada90c5a7d7a170d9c87f06f"><name>cy_wcm_wps_encryption_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa5134ff27eb3a3bd45244ba2522103cc7"><name>CY_WCM_WPS_MIXED_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa03e109443caa4e7956944d22e3a00c36"><name>CY_WCM_WPS_AES_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa8a6bf58d9350921fec4e196d35803a7d"><name>CY_WCM_WPS_TKIP_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fa6ea4ef151cfaf8afe8104eb7b62be6e2"><name>CY_WCM_WPS_WEP_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fadecaa9e74027491e62c637b65f7f6cbd"><name>CY_WCM_WPS_NO_ENCRYPTION</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga7ef358e8ada90c5a7d7a170d9c87f06fadd86ef63ac41850941a2e9205ce34716"><name>CY_WCM_WPS_NO_UNDEFINED</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga2109f4415e7d9d586336f8c4415a270e"><name>cy_wcm_wps_device_category_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea38c2c17db9981b8d58c56a03d9eea174"><name>CY_WCM_WPS_DEVICE_COMPUTER</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea46a825fa9f6eb9fa51964b50cfcb6a42"><name>CY_WCM_WPS_DEVICE_INPUT</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eaf4b0a8f306ca1f7d2662f96f06c4c3c9"><name>CY_WCM_WPS_DEVICE_PRINT_SCAN_FAX_COPY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea067b2a06849d654e88defa1494e6eb01"><name>CY_WCM_WPS_DEVICE_CAMERA</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea07530c7c34101eb7b6dc77d463ea3d69"><name>CY_WCM_WPS_DEVICE_STORAGE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eaaa26e5cc0ab60ced6a1396cefc5ba4d1"><name>CY_WCM_WPS_DEVICE_NETWORK_INFRASTRUCTURE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea340b6b8d4a0a3e381fddd7f5ba346b7d"><name>CY_WCM_WPS_DEVICE_DISPLAY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eab9d78b03149d0f80ebb7f41c0ad46215"><name>CY_WCM_WPS_DEVICE_MULTIMEDIA</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea327ae67b0ae9851529d0047dd35ec51d"><name>CY_WCM_WPS_DEVICE_GAMING</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea1a103d818b304ea94c8a2c33fa2e944b"><name>CY_WCM_WPS_DEVICE_TELEPHONE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea7ac4cb079ec54e29b94279c79af6ee4c"><name>CY_WCM_WPS_DEVICE_AUDIO</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270eacc1248fb45b939bd560c7cb080b227cf"><name>CY_WCM_WPS_DEVICE_DOCK</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga2109f4415e7d9d586336f8c4415a270ea724e8110b6b40e0722f13a2fc66fd96f"><name>CY_WCM_WPS_DEVICE_OTHER</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gafada6a09a78bd0473f3daef54621567f"><name>cy_wcm_event_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa683d1014dce666536998f4d185975852"><name>CY_WCM_EVENT_CONNECTING</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa3cb25ea52d7dfe04a55193c5289d501f"><name>CY_WCM_EVENT_CONNECTED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fafa85fe7467f303e5425b54a8f20072e5"><name>CY_WCM_EVENT_CONNECT_FAILED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fab2e59655829c24bd5d0ea68622c8c56e"><name>CY_WCM_EVENT_RECONNECTED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa206d74c35be5bf29e7903367287efc79"><name>CY_WCM_EVENT_DISCONNECTED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fafe83442aa63aa747c3025d0874482c86"><name>CY_WCM_EVENT_IP_CHANGED</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa89bf3f175e03aabb5951138e229392c9"><name>CY_WCM_EVENT_STA_JOINED_SOFTAP</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggafada6a09a78bd0473f3daef54621567fa54168b9c07156a695d1de5db77f03bcb"><name>CY_WCM_EVENT_STA_LEFT_SOFTAP</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga568b22d5d446e751f62efe4eb021d451"><name>cy_wcm_scan_filter_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451ae6a7c2fd74a727b9d1f3e0261533a7c4"><name>CY_WCM_SCAN_FILTER_TYPE_SSID</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a74ecd7911d895bb5893242f33cd797a5"><name>CY_WCM_SCAN_FILTER_TYPE_MAC</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a4cc5a373687840727d482e4a07f3e472"><name>CY_WCM_SCAN_FILTER_TYPE_BAND</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga568b22d5d446e751f62efe4eb021d451a778dca52775ee5658e7ae9012a61586d"><name>CY_WCM_SCAN_FILTER_TYPE_RSSI</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1ga5da487a7ada216490a5f6787d617f10d"><name>cy_wcm_bss_type_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da60013087d45b48933b758c1aaa952fd3"><name>CY_WCM_BSS_TYPE_INFRASTRUCTURE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da03a3baee9becad296eba5dd31b6c140b"><name>CY_WCM_BSS_TYPE_ADHOC</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da10ddd970dd3995ab9cbc5d225f72aac5"><name>CY_WCM_BSS_TYPE_ANY</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da882ea81676503bb3af561c60200ae0db"><name>CY_WCM_BSS_TYPE_MESH</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1gga5da487a7ada216490a5f6787d617f10da4d5f95cccb4ae209eb84c70254193ba3"><name>CY_WCM_BSS_TYPE_UNKNOWN</name></member>
    <member kind="enum" refid="group__group__wcm__enums_1gac880508299364d38baeb869c761bc695"><name>cy_wcm_ie_mask_t</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695ae1e47cd521bf0c95da2d457936985f36"><name>CY_WCM_IE_MASK_BEACON</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a829e8241b21908745012b903f8f6e521"><name>CY_WCM_IE_MASK_PROBE_RESPONSE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695af20f5063141ee8041342aa430a393025"><name>CY_WCM_IE_MASK_ASSOC_RESPONSE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a91f0304a9e0260ff0deabc1884190a9c"><name>CY_WCM_IE_MASK_AUTH_RESPONSE</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a41547feec293e037c4ee8b7caf7c9e45"><name>CY_WCM_IE_MASK_PROBE_REQUEST</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695ab592236c8a899e0c8326e030cda107fa"><name>CY_WCM_IE_MASK_ASSOC_REQUEST</name></member>
    <member kind="enumvalue" refid="group__group__wcm__enums_1ggac880508299364d38baeb869c761bc695a5a9943659b2c2a8c85a609e767af7f86"><name>CY_WCM_IE_MASK_CUSTOM</name></member>
  </compound>
  <compound kind="group" refid="group__group__wcm__typedefs"><name>group_wcm_typedefs</name>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga1ebac1800928741a07555a14539f3748"><name>cy_wcm_ssid_t</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga510db2323122294f3956024396ba2ff5"><name>cy_wcm_mac_t</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga0c9f42f203c1dee3e3344163d1fdeba8"><name>cy_wcm_passphrase_t</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga58bd6c567dc6b0b111fb5852227c0c88"><name>cy_wcm_scan_result_callback_t</name></member>
    <member kind="typedef" refid="group__group__wcm__typedefs_1ga5f028848682f04705e669b6823d290fb"><name>cy_wcm_event_callback_t</name></member>
  </compound>
  <compound kind="group" refid="group__group__wcm__structures"><name>group_wcm_structures</name>
  </compound>
  <compound kind="group" refid="group__group__wcm__functions"><name>group_wcm_functions</name>
    <member kind="function" refid="group__group__wcm__functions_1ga888428a2325f131528f7447e894002eb"><name>cy_wcm_init</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga5699a6a4d8f914d86022f3f973916316"><name>cy_wcm_deinit</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gae0f0b5f3e6138bfdae943e9f7b16aa07"><name>cy_wcm_start_scan</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6c18f6560c581912393e297b1560d3c7"><name>cy_wcm_stop_scan</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga9e8e04210ba0fc7429473d28d4643c7c"><name>cy_wcm_connect_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gaabda4c932e13e0c8f29486d393a18c5b"><name>cy_wcm_disconnect_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga684ba6f1f1814d29775abaca9a029cd2"><name>cy_wcm_get_ip_addr</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6f90e612b2e00a03d13b575a3f759df9"><name>cy_wcm_get_ipv6_addr</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gae5957d81ae8e2cd3b0ee5bac550f03f2"><name>cy_wcm_get_gateway_ip_address</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6eb8142086b4b77fef434a0f9a9dfb4c"><name>cy_wcm_get_ip_netmask</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6e89cb4c8a8ddae25c4078fb64efb61f"><name>cy_wcm_get_mac_addr</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga97e7212b4d3392a310682ff02f0d8d51"><name>cy_wcm_wps_enrollee</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga0369189fc2845efdf57cd3ce9b0d188e"><name>cy_wcm_wps_generate_pin</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga02f205b4d522c99d6c0b48f15683b0b6"><name>cy_wcm_register_event_callback</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga957a1964b1a2bf191266ee3e60549b9e"><name>cy_wcm_deregister_event_callback</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga98c3513c75507fcddb7650b7d20b6f3a"><name>cy_wcm_is_connected_to_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gad91ebcdcf8452d23b68cf3b225b4ea33"><name>cy_wcm_get_associated_ap_info</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga6bf5f2a11f6b9a91d1be40cf79ab7e8c"><name>cy_wcm_get_wlan_statistics</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga70f40907d2f1668b8fa356f8095fc172"><name>cy_wcm_get_gateway_mac_address</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gaa42251a4b728f775786d1781afbc32a2"><name>cy_wcm_ping</name></member>
    <member kind="function" refid="group__group__wcm__functions_1ga4b6c66ca0e28ef817bdab02c56d180e6"><name>cy_wcm_start_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gaaf300adeaed2e9251dc85d6c85be9d72"><name>cy_wcm_stop_ap</name></member>
    <member kind="function" refid="group__group__wcm__functions_1gac2570e24e41dc550252205489f56cc0f"><name>cy_wcm_get_associated_client_list</name></member>
  </compound>
  <compound kind="group" refid="group__generic__wcm__defines"><name>generic_wcm_defines</name>
    <member kind="define" refid="group__generic__wcm__defines_1ga9fdce87b59ad5de873e8cda4a5939689"><name>CY_RSLT_WCM_ERR_BASE</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga6944ac1b7cf6a45da8cef5b7aaccee43"><name>CY_RSLT_WCM_WAIT_TIMEOUT</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga9ed4661440bde1d143da250f5e9aa1d2"><name>CY_RSLT_WCM_BAD_NETWORK_PARAM</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga199bdef33a6deeb6a65e4fb3cc4c74ed"><name>CY_RSLT_WCM_BAD_SSID_LEN</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga90e3f82642d5adcf75e63ec385c0b31a"><name>CY_RSLT_WCM_SECURITY_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga85c89ab97aab8ffc2d137823be53f98f"><name>CY_RSLT_WCM_BAD_PASSPHRASE_LEN</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga4e20cd3299afb41f9aa4c0160f86b49e"><name>CY_RSLT_WCM_BAD_ARG</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gad1ea482ae1422f00e10acceb12d35fd2"><name>CY_RSLT_WCM_INTERFACE_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga96569b88f43584ab0d8f13270e890ef1"><name>CY_RSLT_WCM_MUTEX_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga9f25bb09147c2b4baea03e7049144eea"><name>CY_RSLT_WCM_STA_DISCONNECT_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga6b5d340b62864115c40912b3c824618f"><name>CY_RSLT_WCM_STA_NETWORK_DOWN</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaa6740929b50bb588c5eac2ce24a3b8a3"><name>CY_RSLT_WCM_BSP_INIT_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gae47a63270adf2e7623fc7e094f439149"><name>CY_RSLT_WCM_BSP_DEINIT_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga75d572006f9f9e5537b6829f1a6e05d1"><name>CY_RSLT_WCM_NO_ACTIVE_SCAN</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gad7f901e31b274c3875d4fffe5ad67e2b"><name>CY_RSLT_WCM_SCAN_IN_PROGRESS</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga197800b45253fb46881ace6422f71cf2"><name>CY_RSLT_WCM_SCAN_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga0eb923b5580da458eed4a15793a1ffce"><name>CY_RSLT_WCM_STOP_SCAN_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga3ff0df04af64b8e9885c7965c0323dfd"><name>CY_RSLT_WCM_BAND_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaca7baad8249d644588355f5957dbeb23"><name>CY_RSLT_WCM_OUT_OF_MEMORY</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga3fbd0225b6475abc34f2631923abf7d6"><name>CY_RSLT_WCM_CHANNEL_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga152d8dbea82f3fc8ac3bcd9134ba7c2b"><name>CY_RSLT_WCM_NETIF_DOES_NOT_EXIST</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga4e8841bff7f6f44e4338a7a5f4957430"><name>CY_RSLT_WCM_ARP_REQUEST_FAILURE</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaf238a2679be63d6c347384309d0ecdec"><name>CY_RSLT_WCM_IPV6_GLOBAL_ADDRESS_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaec2dc6ae38fe8d511c6e9341a87460d4"><name>CY_RSLT_WCM_IPV6_INTERFACE_NOT_READY</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga25e7e3f701dc1fb8d7695f12b197e792"><name>CY_RSLT_WCM_PING_FAILURE</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaeda8de6854236b599d845071a9de13f6"><name>CY_RSLT_WCM_PING_REQUEST_TIMEOUT</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga43b6f1f06a3602b8d084ee2d95ad5a2e"><name>CY_RSLT_WCM_STATIC_IP_NOT_SUPPORTED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gab5427f7db66759198ece7997fb98b1d6"><name>CY_RSLT_WCM_BAD_STATIC_IP</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gab6f3189215b7eb6877302a14445af584"><name>CY_RSLT_WCM_SECONDARY_INTERFACE_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga417bfc0044bee5d22d44b2241f49f4a7"><name>CY_RSLT_WCM_AP_NETWORK_BRINGUP_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gabcb1cf00097ec4ed82c84389fbc1d64c"><name>CY_RSLT_WCM_AP_BAD_CHANNEL</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga76c0f03b758e55b8e3c2b5e0a478fee6"><name>CY_RSLT_WCM_AP_IE_REMOVAL_ERROR</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga3f4a70557a584ae9d9692930d7251606"><name>CY_RSLT_WCM_INVALID_IE</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaf320281f7c8bc5389e44731e76216b7d"><name>CY_RSLT_WCM_AP_NOT_UP</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga3fbe3d03f2b124ee6b1f893170318b65"><name>CY_RSLT_WCM_INTERFACE_NOT_UP</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga17574dc98d92fa8947200e5550cbfeb4"><name>CY_RSLT_WCM_NOT_INITIALIZED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gab647206b775cba6ee4b7b7b19c583f7b"><name>CY_RSLT_WCM_WPS_PBC_OVERLAP</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gac6347a8774ce04d4e63619b0f7bf64f1"><name>CY_RSLT_WCM_WPS_ERROR_RECEIVED_WEP_CREDENTIALS</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1ga46d6e7393784bb35e110d5fe42c004e9"><name>CY_RSLT_WCM_WPS_FAILED</name></member>
    <member kind="define" refid="group__generic__wcm__defines_1gaadcc9a3f04cb2e2846a8d77489476fa1"><name>CY_RSLT_WCM_DHCP_TIMEOUT</name></member>
  </compound>
  <compound kind="dir" refid="dir_d44c64559bbebec7f509842c48db8b23"><name>include</name>
  </compound>
  <compound kind="group" refid="indexpage"><name>index</name>
  </compound>
</doxygenindex>